aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'test-wrapper.sh')
-rwxr-xr-xtest-wrapper.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test-wrapper.sh b/test-wrapper.sh
new file mode 100755
index 0000000..fe9309b
--- /dev/null
+++ b/test-wrapper.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env sh
+set -e
+
+# https://www.lua.org/tests/
+# There are two sets:
+# 1. basic
+# 2. complete
+#
+# The basic subset is selected by passing -e'_U=true'
+# The complete set is noted to contain tests that may consume too much memory or have non-portable tests.
+# attrib.lua for example needs some multilib customization (have to compile the stuff in libs/ for each ABI)
+
+cd "${srcdir}"/test && "${LUA}" -e_U=true $(basename ${1})